=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2007-01-18 04:11:51 +0000
+++ bzrlib/tests/__init__.py	2007-01-19 19:42:19 +0000
@@ -661,19 +661,19 @@
                 excName = str(excClass)
             raise self.failureException, "%s not raised" % excName
 
-    def assertIs(self, left, right):
+    def assertIs(self, left, right, message=None):
         if not (left is right):
-            raise AssertionError("%r is not %r." % (left, right))
-
-    def assertNone(self, obj, msg):
-        """Fail if obj is not None"""
-        if (obj is not None):
-            raise AssertionError(msg)
-
-    def assertNotNone(self, obj, msg):
-        """Fail if obj is None"""
-        if (obj is None):
-            raise AssertionError(msg)
+            if message is not None:
+                raise AssertionError(message)
+            else:
+                raise AssertionError("%r is not %r." % (left, right))
+
+    def assertIsNot(self, left, right, message=None):
+        if (left is right):
+            if message is not None:
+                raise AssertionError(message)
+            else:
+                raise AssertionError("%r is %r." % (left, right))
 
     def assertTransportMode(self, transport, path, mode):
         """Fail if a path does not have mode mode.

=== modified file 'bzrlib/tests/blackbox/test_mv.py'
--- bzrlib/tests/blackbox/test_mv.py	2007-01-19 19:23:53 +0000
+++ bzrlib/tests/blackbox/test_mv.py	2007-01-19 19:42:19 +0000
@@ -34,11 +34,12 @@
 
     def assertInWorkingTree(self,path):
         tree = workingtree.WorkingTree.open('.')
-        self.assertNotNone(tree.path2id(path),path+' not in working tree.')
+        self.assertIsNot(tree.path2id(path), None,
+            path+' not in working tree.')
 
     def assertNotInWorkingTree(self,path):
         tree = workingtree.WorkingTree.open('.')
-        self.assertNone(tree.path2id(path),path+' in working tree.')
+        self.assertIs(tree.path2id(path), None, path+' in working tree.')
 
     def assertMoved(self,from_path,to_path):
         """Assert that to_path is existing and versioned but from_path not. """

